/* ===== HOW WE GOT HERE SECTION ===== */
main{ overflow:visible!important; }

.how-we-got-here {
    width: 100%;
    margin: 0;
    padding: 33px 72px;
}

.how-we-got-here__container {
  padding: 120px 72px 60px 72px;
    background: linear-gradient(180deg, rgba(165, 197, 208, 0.5) 0%, rgba(165, 197, 208, 0) 100%);
    border-radius: 40px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 80px;
    position: relative;
    overflow: hidden;
}

.synapse-timeline__decor-top{position: absolute; top: -15%; right: -9%; width: 100%; max-width: 502px; }

/* LEFT SIDE - Image */
.how-we-got-here__left {
    width: 100%;
    max-width: 50%;
    height: 100%;
}

.how-we-got-here__image {
    width: 100%;
    height: 100%;
        max-height: 420px;
    object-fit: cover;
    border-radius: 40px;
    display: block;
    position: relative;
	z-index: 2;
}

/* RIGHT SIDE - Content */
.how-we-got-here__right {
    flex: 1;
    width: 100%;
    max-width: 576px;
    height: auto;
    display: flex;
    flex-direction: column;
    gap: 20px;
}

/* Icon */
.how-we-got-here__icon {
    width: 56px;
    height: auto;
    display: flex;
    align-items: center;
    justify-content: center;
}

.how-we-got-here__icon-image {
    width: 100%;
    height: 100%;
    object-fit: contain;
}

/* Title */
.synapse-how-we-got-here__title {
    font-weight: 700;
    line-height: 140%;
    color: #001A35;
}

/* Content Block */
.how-we-got-here__content {
    display: flex;
    flex-direction: column;
    gap: 12px;
}

.timeline__scroll-trigger {
    position: relative;
}

.timeline-musk {
    position: absolute;
    top: 0;
    left: -92%;
    width: 100%;
    height: 100%;
    background: #fff;
    pointer-events: none;
    z-index: 5;
}

.timeline__scroll-trigger.is-horizontal-scroll {
    height: var(--timeline-scroll-height, 100vh);
}

.timeline__scroll-sticky {
    position: sticky;
    top: -140px;
    z-index: 10;
    width: 91.25%;
    margin: auto;
    max-width: 1512px;
}

.synapse-timeline-wrapper {
    width: 92%;
    background: inherit;
	padding-left: 64px;
    position: relative;
    overflow: hidden;
    max-width: 1440px;
}

.synapse-timeline-container {
    display: flex;
    width: 100%;
    position: relative;
}

.synapse-timeline__decor, .synapse-timeline__decor-active{max-width: 16px; position: absolute; left: -7px; top:8px; }

.synapse-timeline-wrapper.is-horizontal-scroll {
  height: var(--timeline-scroll-height, 100vh);
}

.synapse-timeline-wrapper.is-horizontal-scroll .synapse-timeline-container {
  display: flex;
  width: max-content;
  height: auto;
  will-change: transform;
}

/* Timeline Items */
.synapse-timeline__active-line{ height: 2px; background: #001A35; width: 0%; position: absolute; left: 0; top: 93px; transition: width 0.1s linear; }

.synapse-timeline-item {
    position: relative;
    flex: 0 0 auto;
    width: 280px;
    padding: 0px;
    display: flex;
    flex-direction: column;
    gap: 32px;
}

.synapse-timeline-item__date {
    padding-left: 20px;
    font-size: 24px;
    font-weight: 700;
    line-height: 140%;
    color: #001A35;
    padding-bottom: 60px;
    border-bottom: 1px solid #001A3530;
    margin: 0;
}

.synapse-timeline-item__content {
    display: flex;
    flex-direction: column;
    gap: 0;
    max-width: 248px;
}

.synapse-timeline-item__text {
    font-size: 16px;
    font-weight: 400;
    line-height: 145%;
    color: rgba(0, 26, 53, 0.75);
    margin: 0;
    padding: 0;
}

.synapse-timeline__decor {
  display: block;
}

.synapse-timeline-item .synapse-timeline-item__date{opacity: 50%;}

.synapse-timeline-item.is-active .synapse-timeline-item__date{opacity: 100%;}

.synapse-timeline__decor-active {
  display: none;
}
.synapse-timeline-item.is-active .synapse-timeline__decor {
  display: none;
}

.synapse-timeline-item.is-active .synapse-timeline__decor-active {
  display: block;
}


/* ===== RESPONSIVE ===== */
@media (max-width: 1024px) {
    .how-we-got-here {
        border-radius: 24px;
    }

    .how-we-got-here__container {
        flex-direction: column;
        height: auto;
        gap: 40px;
        padding: 40px;
    }

    .how-we-got-here__left {
        width: 100%;
        max-width: 100%;
        margin: 0;
    }

    .how-we-got-here__right {
        width: 100%;
        margin: 0;
        gap: 16px;
        max-width: none;
    }
    
    .synapse-timeline-wrapper{
		padding-left: 20px;
	}

}

@media (max-width: 768px) {
    
    .how-we-got-here {
        overflow: hidden;
    }
    
    .line-items__inner.pt-0{ padding-left: 20px;  padding-right: 20px;}
    
    .how-we-got-here__container {
        padding: 20px;
        gap: 20px;
    }
    
    .how-we-got-here {
        padding: 20px;
    }
    
    .bottom-wrapp__grid-card{padding: 40px;}
    
    .timeline-musk{left: -98%;}

    .hero__image {
        height: 75%;
    }

}

@media (max-width: 480px) {
    .how-we-got-here {
        border-radius: 16px;
    }

    .synapse-timeline-container {
        padding: 30px 16px;
        gap: 16px;
    }
    
    .how-we-got-here__image{border-radius: 20px;}

}

.synapse-timeline-mobile-controls {
  display: none;
}

@media (max-width: 768px) {
  .synapse-timeline-wrapper {
    padding-top: 16px;
    padding-left: 20px;
    height: auto !important;
  }

  .synapse-timeline-container {
    position: relative;
    width: 100%;
    min-height: auto;
    display: flex;
    gap: 0;
    padding: 0;
    transition: transform 0.35s ease;
    will-change: transform;
  }

  .synapse-timeline-wrapper.is-horizontal-scroll .synapse-timeline-container {
    min-height: auto;
    width: 100%;
  }

  .synapse-timeline-item {
    width: 100%;
    min-width: 100%;
  }

  .synapse-timeline__active-line {
    display: none;
  }

  .synapse-timeline-mobile-controls {
    display: block;
	position: relative;
    margin-top: 40px;
  }
  
  .synapse-timeline-mobile-dots--line{
    position: absolute;
    width: 325px;
    height: 1px;
    background: #001A3530;
    top: 5px;
    left: 0;
    right: 0;
    margin-left: auto;
    margin-right: auto;
  }

  .synapse-timeline-mobile-dots {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 10px;
	margin-top: 20px;
    margin-bottom: 40px;
    position: relative;
    z-index: 3;
  }

  .synapse-timeline-mobile-dot {
    width: 12px;
	min-width: 12px;
    height: 12px;
	min-height: 12px;
    border: 1px solid rgba(0, 26, 53, 0.35);
    border-radius: 50%;
    background: #F3F7F9;
    padding: 0;
  }

  .synapse-timeline-mobile-dot.is-active {
    background: #001A35;
    border-color: #001A35;
  }

  .synapse-timeline-mobile-arrows {
    display: flex;
    justify-content: center;
    gap: 16px;
  }

  .synapse-timeline-mobile-arrow {
      width: 64px;
      height: 64px;
      border-radius: 16px;
      border: 1px solid #5899AF;
      background: transparent;
      color: #001A35;
      font-size: 24px;
      line-height: 1;
      cursor: pointer;
  }

  .synapse-timeline-mobile-arrow:disabled {
    opacity: 0.35;
    cursor: default;
  }
}